Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005768 [JEDI VCL] 00 JVCL Components minor always 2012-01-19 21:50 2012-09-10 14:15
Reporter jkelley View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0005768: JvValidators problems clearing error indicators
Description As far as I can tell, TJvValidators fails to clear error indicators under the following circumstances:
- A validator failed validation (Valid := False) then was disabled (Enabled := False).
- A validator's ControlToValidate does not equal its ErrorControl.

In both cases, the problem appears to be with how the Controls array is handled in TJvValidators.Validate. The Controls array is intended to list controls whose error indicators should be cleared, but it's never initialized with the ControlToValidate properties for disabled validators, and it's never initialized with the ErrorControl properties, and on successful validation, the ErrorControl isn't cleared from Controls, even though ErrorControl is used to show the error indicator on failed validation.
Additional Information
Tags No tags attached.
Attached Files ? file icon jvvalidatorsclear.diff [^] (1,321 bytes) 2012-01-23 20:04
rar file icon Project1.rar [^] (1,977,428 bytes) 2012-06-14 14:47
rar file icon JVCL-0005802.rar [^] (1,488 bytes) 2012-06-14 14:47

- Relationships

-  Notes
(0019349)
jkelley (reporter)
2012-01-23 20:04

Here's a patch which, from my limited testing, fixes these issues.
(0019460)
obones (administrator)
2012-02-22 15:06

Thank you for the patch. Can you provide the zipped sources of a sample application showing this?
(0019977)
obones (administrator)
2012-06-13 16:29

Any news?
(0020004)
Arioch (developer)
2012-06-15 15:46

test added
(0020016)
obones (administrator)
2012-06-18 14:15

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2012-01-19 21:50 jkelley New Issue
2012-01-23 20:04 jkelley Note Added: 0019349
2012-01-23 20:04 jkelley File Added: jvvalidatorsclear.diff
2012-02-22 15:06 obones Note Added: 0019460
2012-02-22 15:06 obones Status new => feedback
2012-06-13 16:29 obones Note Added: 0019977
2012-06-14 14:47 Arioch File Added: Project1.rar
2012-06-14 14:47 Arioch File Added: JVCL-0005802.rar
2012-06-15 15:46 Arioch Note Added: 0020004
2012-06-18 11:24 obones Status feedback => acknowledged
2012-06-18 14:15 obones Note Added: 0020016
2012-06-18 14:15 obones Status acknowledged => resolved
2012-06-18 14:15 obones Fixed in Version => Daily / SVN
2012-06-18 14:15 obones Resolution open => fixed
2012-06-18 14:15 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker